security/py-rsa40 - The NetBSD Packages Collection

Pure-Python RSA implementation (for Python 2.x)

Python-RSA is a pure-Python RSA implementation. It supports encryption
and decryption, signing and verifying signatures, and key generation
according to PKCS#1 version 1.5. It can be used as a Python library
as well as on the commandline.

This package contains the last version supported by Python 2.x.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

security/py-asn1 devel/py-setuptools44 lang/python27 lang/python27

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfpy27-rsa-4.0.tgz
NetBSD 8.0earmv7hfpy27-rsa-4.0.tgz
NetBSD 8.0earmv7hfpy27-rsa-4.0.tgz
NetBSD 8.0i386py27-rsa-4.0.tgz
NetBSD 8.0i386py27-rsa-4.0.tgz
NetBSD 8.0powerpcpy27-rsa-4.0.tgz
NetBSD 8.0powerpcpy27-rsa-4.0.tgz
NetBSD 8.0powerpcpy27-rsa-4.0.tgz
NetBSD 8.0powerpcpy27-rsa-4.0.tgz
NetBSD 8.0x86_64py27-rsa-4.0.tgz
NetBSD 8.0x86_64py27-rsa-4.0.tgz
NetBSD 9.0aarch64py27-rsa-4.0.tgz
NetBSD 9.0aarch64py27-rsa-4.0.tgz
NetBSD 9.0aarch64py27-rsa-4.0.tgz
NetBSD 9.0alphapy27-rsa-4.0.tgz
NetBSD 9.0alphapy27-rsa-4.0.tgz
NetBSD 9.0alphapy27-rsa-4.0.tgz
NetBSD 9.0earmpy27-rsa-4.0.tgz
NetBSD 9.0earmpy27-rsa-4.0.tgz
NetBSD 9.0earmpy27-rsa-4.0.tgz
NetBSD 9.0earmv6hfpy27-rsa-4.0.tgz
NetBSD 9.0earmv6hfpy27-rsa-4.0.tgz
NetBSD 9.0earmv6hfpy27-rsa-4.0.tgz
NetBSD 9.0earmv7hfpy27-rsa-4.0.tgz
NetBSD 9.0earmv7hfpy27-rsa-4.0.tgz
NetBSD 9.0earmv7hfpy27-rsa-4.0.tgz
NetBSD 9.0earmv7hfpy27-rsa-4.0.tgz
NetBSD 9.0i386py27-rsa-4.0.tgz
NetBSD 9.0i386py27-rsa-4.0.tgz
NetBSD 9.0m68kpy27-rsa-4.0.tgz
NetBSD 9.0m68kpy27-rsa-4.0.tgz
NetBSD 9.0mips64ebpy27-rsa-4.0.tgz
NetBSD 9.0mips64ebpy27-rsa-4.0.tgz
NetBSD 9.0mips64ebpy27-rsa-4.0.tgz
NetBSD 9.0mips64ebpy27-rsa-4.0.tgz
NetBSD 9.0mips64ebpy27-rsa-4.0.tgz
NetBSD 9.0mipselpy27-rsa-4.0.tgz
NetBSD 9.0mipselpy27-rsa-4.0.tgz
NetBSD 9.0mipselpy27-rsa-4.0.tgz
NetBSD 9.0mipselpy27-rsa-4.0.tgz
NetBSD 9.0powerpcpy27-rsa-4.0.tgz
NetBSD 9.0powerpcpy27-rsa-4.0.tgz
NetBSD 9.0powerpcpy27-rsa-4.0.tgz
NetBSD 9.0powerpcpy27-rsa-4.0.tgz
NetBSD 9.0sh3elpy27-rsa-4.0.tgz
NetBSD 9.0sh3elpy27-rsa-4.0.tgz
NetBSD 9.0sh3elpy27-rsa-4.0.tgz
NetBSD 9.0sh3elpy27-rsa-4.0.tgz
NetBSD 9.0sparc64py27-rsa-4.0.tgz
NetBSD 9.0sparc64py27-rsa-4.0.tgz
NetBSD 9.0sparc64py27-rsa-4.0.tgz
NetBSD 9.0sparcpy27-rsa-4.0.tgz
NetBSD 9.0sparcpy27-rsa-4.0.tgz
NetBSD 9.0sparcpy27-rsa-4.0.tgz
NetBSD 9.0sparcpy27-rsa-4.0.tgz
NetBSD 9.0sparcpy27-rsa-4.0.tgz
NetBSD 9.0x86_64py27-rsa-4.0.tgz
NetBSD 9.0x86_64py27-rsa-4.0.tgz
NetBSD 9.0x86_64py27-rsa-4.0.tgz
NetBSD 9.0x86_64py27-rsa-4.0.tgz
NetBSD 9.0x86_64py27-rsa-4.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.